//
//  wbiff! mailbox flag for Windows
//	Copyright  1999, 2000 F. Sadaghiani (sada@guesswork.org)
// 
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 
//
//  59 Temple Place - Suite 330
//  Boston, MA 
//  02111-1307, USA.
//
//

#pragma once

#ifdef TRACE_ENABLE

void
tracelog_Open(LPCTSTR lpFileName);

void
tracelog_Print(LPCTSTR lpFormat, ...);

void
tracelog_Close(void);

#define TRACE tracelog_Print
#define TRACE_OPEN(s) tracelog_Open(s);
#define TRACE_CLOSE() tracelog_Close();

#else

// Trace logging disabled
#define TRACE
#define TRACE_OPEN(s) ((void)0);
#define TRACE_CLOSE() ((void)0);

#endif



