//
//  wbiff! mailbox flag for Windows
//	Copyright  1999, 2000 F. Sadaghiani (sada@guesswork.org)
// 
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 
//
//  59 Temple Place - Suite 330
//  Boston, MA 
//  02111-1307, USA.
//
//

#pragma once

void
impl_RenderSettings(HWND hwnd);

void
impl_UnrenderSettings(HWND hwnd);

void
impl_CorrectPathString(LPTSTR lpPathString);

void
impl_ResetFlagAndTrayState(HWND hwnd);

void
impl_UpdateWindowText(LPCTSTR lpFormat, ...);

void
impl_UpdateToolTipText(LPCTSTR lpFormat, ...);

void
impl_UpdateSummaryWindow(HWND hwnd, bool bDisplay);

void
impl_ToggleSummaryWindow(HWND hwnd);

bool
impl_InitalizeSkin(HWND hwnd);

void
impl_DestroySkin(HWND hwnd);

void
impl_ShowMenu(HWND hwnd, const POINT* point);

void
impl_ToggleMainWindow(HWND hwnd);

void
impl_CheckNow(HWND hwnd);

void
impl_Animate(HWND hwnd);

void
impl_SetTimer(HWND hwnd, bool bSetTimer);

void
impl_Settings(HWND hwnd);

RECT*
impl_GetRectAndSetButtonMask(HWND hwnd, const POINT* point);

void
impl_SetFlagAndTrayState(HWND hwnd);

void
impl_ClearFlag(HWND hwnd);

void
impl_RunClient(HWND hwnd);

void
impl_HandleHotKey(HWND hwnd, int nHotKey);

void
impl_BeginNotificationAnimations(HWND hwnd);

void
impl_ShiftClickAction(HWND hwnd);

void
impl_DoubleClickAction(HWND hwnd);

void
impl_ClearAnimations();

void
impl_GetVersion();

void
impl_SwapOutOfMemory();

void
impl_SetToolTipText(LPNMTTDISPINFO tooltip);

void
impl_ToggleEnabledStatus(HWND hwnd);

HICON
impl_LoadIcon(LPTSTR lpIconImage, LPCTSTR lpDefault);






