//
//  wbiff! mailbox flag for Windows
//	Copyright  1999, 2000 F. Sadaghiani (sada@guesswork.org)
// 
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 
//
//  59 Temple Place - Suite 330
//  Boston, MA 
//  02111-1307, USA.
//
//

#pragma once

// macro allows for default values
#define REGRI(hKey, val, key, def_value) \
	if (!regRI(hKey, (BYTE*) &val, key)) val = def_value;

bool
regRI(HKEY hKey, BYTE* val, LPTSTR key);

void 
regRS(HKEY hKey, LPTSTR buffer, int nLength, LPTSTR key);

void 
regWI(HKEY hKey, BYTE* val, LPTSTR key);

void 
regWS(HKEY hKey, LPCTSTR val, LPTSTR key);

