//
//  wbiff! mailbox flag for Windows
//	Copyright  1999, 2000 F. Sadaghiani (sada@guesswork.org)
// 
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 
//
//  59 Temple Place - Suite 330
//  Boston, MA 
//  02111-1307, USA.
//
//

#pragma once

/////////////////////////////////////////////////////////////////////////////
//
// Macros

#define RI(x, lpSectionName, lpKeyName, lpFileName) \
	x = util_ReadInt(lpSectionName, lpKeyName, 0, lpFileName);

#define RS(x, length, lpSectionName, lpKeyName, lpFileName) \
	util_ReadString(x, length, lpSectionName, lpKeyName, lpFileName);


/////////////////////////////////////////////////////////////////////////////
//
// Functions

int 
util_ReadInt(LPCTSTR lpSectionName, LPCTSTR lpKeyName, int nDefault, LPCTSTR lpFileName);

void 
util_ReadString(LPTSTR lpText, int nCount, LPCTSTR lpSectionName, LPCTSTR lpKeyName, LPCTSTR lpFileName);

int
util_atoi(LPCTSTR nptr);

TCHAR*
util_strstr(const TCHAR* str1, const TCHAR* str2);

bool
util_Exec(HWND hwnd, LPCTSTR lpExecutable, LPTSTR lpCommandLine);

void
util_OpenObject(HWND hwnd, LPCTSTR lpObjectName);

LPTSTR
util_TrimBoth(LPTSTR lpBuffer);

HWND
util_GetTrayHwnd(void);

void
util_DrawTransparentBitmap(HDC hdc, HBITMAP hBitmap, int xStart, int yStart, COLORREF cTransparentColor);

HWND
util_TT_CreateToolTip(HINSTANCE hInstance, HWND hwnd);

void
util_TT_AddTool(HWND hwndTT, HWND hwndParent, const RECT* rect, LPTSTR lpsz, int nID);

void
util_TT_DelTool(HWND hwndTT, HWND hwndParent, int nID);


